class DslObject
  def initialize &block
    evaluate &block if block_given?
  end

  def evaluate &block
    case block.arity
    when 0
      Combinder.new( self, block.binding ).instance_eval &block
    when 1
      yield self
    else
      raise "Too many args for block"
    end
  end

  def do_something_useful rhs
    puts rhs
  end
end
